searchNodes=[{"doc":"Deadline is a small library for managing deadlines and for performing deadline propagation across systems. It uses process dictionary both for performance and to make the library more ergonomic.# Set a deadline in milliseconds Deadline.set(1_000) # Perform some work that takes longer than a second Deadline.work(fn -&gt; Service.call() end) # Won&#39;t be called because we&#39;ve exceeded our deadline Deadline.work(fn -&gt; Service.call() end) if Deadline.reached?() do :cancel else do_some_work() end","ref":"Deadline.html","title":"Deadline","type":"module"},{"doc":"Forces the calling process to exit if the deadline is reached. This will start a new process and that process will live as long as the calling process lives or until the deadline is reached. The extra processes should not present a problem in most cases, but it could present memory pressure in low memory environments.Accepts a callback that will be executed prior to exiting the calling process.","ref":"Deadline.html#exit_after/1","title":"Deadline.exit_after/1","type":"function"},{"doc":"Returns the deadline context.","ref":"Deadline.html#get/0","title":"Deadline.get/0","type":"function"},{"doc":"Checks if a deadline has been reached or exceeded.","ref":"Deadline.html#reached?/0","title":"Deadline.reached?/0","type":"function"},{"doc":"Sets the deadline context. If a integer is passed it is assumed to be the desired deadline in milliseconds. This function also accepts a full deadline context. This is most commonly used when a deadline has already been set and the context needs to be propagated to another BEAM process.","ref":"Deadline.html#set/1","title":"Deadline.set/1","type":"function"},{"doc":"Returns the remaining time before the dealine is reached, in a given unit. Defaults to :millisecond units. If the deadline has been exceeded than the time remaining will be 0.","ref":"Deadline.html#time_remaining/1","title":"Deadline.time_remaining/1","type":"function"},{"doc":"","ref":"Deadline.html#work/1","title":"Deadline.work/1","type":"function"}]